<?php
include ("../conexion.php"); 


date_default_timezone_set('America/Costa_Rica');

session_start();

        $usu=$_SESSION['username'];
 
	
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acceso_denegado.php');
		}

	
		
		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];
		$cod  = $row["codusu"];
		
$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

$codnotatmp=$_POST["codnotatmp"];
$cdgpro=$_POST["cdgpro"];
$dscpro=strtoupper($_POST["dscpro"]);
$detnot=strtoupper($_POST["detnot"]);



//$fecha=date("Y-m-d");

$fecha=$_POST["fecha"];
$fecha= implode("-", array_reverse(explode("-", $fecha))); 

$cob_iv="";


if (!isset($_POST["numfac"])) { $numfac=""; } else  { $numfac=$_POST["numfac"]; }
if (!isset($_POST["numfacafe"])) { $numfacafe=""; } else  { $numfacafe=$_POST["numfacafe"]; }
if (!isset($_POST["descuento"])) { $descuento=""; } else  { $descuento=$_POST["descuento"]; }
$numfacafe2=$_POST["codfactura2"];
$cdgusu=$cod;

		$preciototal=0;
		$mergra=0;
		$merexe=0;
		$serexe=0;
		$sergra=0; 
		$subexe=0;
		$totmergra=0;
		$totmerexe=0;
		$totsergra=0;
		$totserexe=0;
		$subgra=0;
		$baseimponible=0; 
		$baseimpuestos=0;		    
		$basedescuento=0;

$minimo=0;
 $aplnot=$_POST["aplnot"];
$numnot=strtoupper($_POST["numnot"]);



       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $numnotpro  = $row_para["numnotpro"];
	   $numnotpro  = $numnotpro+1;


	
if ($accion=="alta") {

 ////////////////////////////////////////////////////   insert de la la nota de credito en Notas de credito /////////////////////////////////


$query_operacion="INSERT INTO  notas_proveedores (codnota, numnot, fecha, iva, cdgpro, dscpro, borrado,detnot, numfacafe , tipapli,estapli, cdgusu ) VALUES ('$numnotpro','$numnot', '$fecha', '$cob_iv', '$cdgpro', '$dscpro', '0', '$detnot' , '$numfacafe','$aplnot','1','$cdgusu')";				
	$mysqli->query($query_operacion);
	$codnota= $mysqli-> insert_id ;

		$sel_articulos_contado="UPDATE web_0000 SET numnotpro='$codnota' ";
		$mysqli->query($sel_articulos_contado);
		

		
		
	$query_tmp = "SELECT * FROM notas_proveedores_lineastmp WHERE codnotatmp='$codnotatmp' ORDER BY numlinea ASC";
    if ($resultado = $mysqli->query($query_tmp)) 
	$contador=0;
	$baseimponible=0;
    while ($fila = $resultado->fetch_assoc()) {
		
        $numlinea  = $fila["numlinea"];
        $codigo    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$canart    = $fila["canart"];
		$cosart    = $fila["cosart"];	
	    $importe   = $fila["importe"];
	    $impuesto  = $fila["impuesto"];
		$mondes    = $fila["mondes"];
		$desfac    = $fila["desfac"];
		$numlinafe = $fila["numlinafe"];
		
	
	
	
	if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $cosart2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $cosart2=$importe+$impuesto;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		$preciototal= round($preciototal);
		
		$query_unidades= "SELECT CDGBAR, EXIACT, COB_IV FROM web_1001 WHERE CDGBAR='$codigo'";
		$resultado2 = $mysqli->query($query_unidades);
		$row2 = $resultado2->fetch_array();
	    $exiact = $row2["EXIACT"];
		$cob_iv = $row2["COB_IV"];
 

		$exinueva=$exiact - $canart;
				
		$sel_articulos="UPDATE web_1001 SET exiact='$exinueva' WHERE cdgbar='$codigo' and tipart != 2 ";
    	$mysqli->query($sel_articulos);
				
		 

	
		$sel_insertar="INSERT INTO notas_proveedores_lineas (codnota,dscart,numlinea,codigo,canart,cosart,cosnivi,importe,desfac,mondes,impuesto,cdgpro,cdgusu,artexe, fecfac, numlinafe ) VALUES 
		('$codnota','$dscart','$numlinea','$codigo','$canart','$cosart','$cosart2','$importe','$desfac','$mondes','$impuesto','$cdgpro','$cdgusu','$cob_iv','$fecha','$numlinafe')";
		$mysqli->query($sel_insertar);

	////////////////////////////////////////////////   rebajo de unidades al inventatio ///////////////////////



		$contador++;
	}
	
	
		 $consulta2 = "DELETE FROM  notas_proveedores_lineastmp  WHERE codnotatmp='$codnotatmp'";
		 $mysqli->query($consulta2);
	
	
		$sel_act="UPDATE  notas_proveedores SET totalnota='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' WHERE codnota='$codnota'";
	$mysqli->query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
	
		}
		 
		 
		 
		 
		 
		//////////// ///////////////////////////    aplica el pago en la web_2201   ////////////////////////////////////////////////
		
		$total_nc= $preciototal;


			if ($aplnot==2){
		
		/*
		$query_tmp2 = "SELECT * FROM web_2201 WHERE cdgpro='$cdgpro' AND salact > 0 ORDER BY fecfac ASC";
        if ($resultado2 = $mysqli->query($query_tmp2)) 
        while ($fila2 = $resultado2->fetch_assoc()) {
		
        $numfac    = $fila2["numfac"];
        $salact    = $fila2["salact"];
		
				
		
		if ($preciototal >= $salact ){	

	       $saldo_factura=$salact-$salact;
		    $preciototal=$preciototal-$salact;
				$monabo=$salact;
	
      	} else {
	    
		   $saldo_factura=$salact-$preciototal;
		 		$monabo=$preciototal;
		    $preciototal=$preciototal-$preciototal;
		
		}
	
	if  ($monabo > 0 ){
	
			$sel_insertar3="INSERT INTO  pagos_proveedores_notas_lineas  (codnota,numlinea,monabo,totfac,salfac,borrado,cdgpro,numfac ) VALUES 
		('$codnota','','$monabo','$salact','$saldo_factura','0','$cdgpro','$numfac')";
			 $mysqli->query($sel_insertar3);
	
	}
	
	
			
	$sel_act="UPDATE web_2201 SET salact='$saldo_factura' WHERE cdgpro='$cdgpro' AND numfac='$numfac'";
    $mysqli->query($sel_act);
	 
		$contador++;
		
		
	}
	
	*/
	
	}		
	
	
	
	
	
	if ($aplnot==3){
		
	/*
		
		$query_tmp2 = "SELECT * FROM web_2201 WHERE  numfac = '$numfacafe' and cdgpro = '$cdgpro'  ";
        if ($resultado2 = $mysqli->query($query_tmp2)) 
        while ($fila2 = $resultado2->fetch_assoc()) {
		
        $numfac    = $fila2["numfac"];
        $salact    = $fila2["salact"];
		
				
		
		if ($preciototal >= $salact ){	

	      $saldo_factura=$salact-$salact;
	    $preciototal=$preciototal-$salact;
			    $monabo=$salact;
	
      	} else {
	    
		   $saldo_factura=$salact-$preciototal;
				$monabo=$preciototal;	
		    $preciototal=$preciototal-$preciototal;
		
		}
		
		if  ($monabo > 0 ){
	
			$sel_insertar3="INSERT INTO pagos_proveedores_notas_lineas (codnota,numlinea,monabo,totfac,salfac,borrado,cdgpro,numfac ) VALUES 
		('$codnota','','$monabo','$salact','$saldo_factura','0','$cdgpro','$numfac')";
		$mysqli->query($sel_insertar3);
	
	}
			
	$sel_act="UPDATE web_2201 SET salact='$saldo_factura' WHERE  numfac = '$numfac' AND cdgpro = $cdgpro";
	$mysqli->query($sel_act);
	 
		$contador++;
	}
	
	*/
	}		
	

		
		
			/****************   modifica el saldo en la  proveedores *******************/
	
/*
		$consulta3 = "SELECT  Sum(salact) AS totalfac FROM web_2201 WHERE cdgpro = $cdgpro";
		$resultado3 = $mysqli->query($consulta3);
		$fila3 = $resultado3->fetch_array();

        $total = $fila3["totalfac"];

	    $sel_abono="UPDATE proveedores SET salact='$total' WHERE cdgpro = $cdgpro";
		$mysqli->query($sel_abono);
	
	*/
	

	/************************ inserta la nota en pagos clientes ****************************/

/*
	$hoy=date("Y-m-d");
	$tipmov = "NC";
	 $query_operacion="INSERT INTO pagos_proveedores_notas ( numnot, fecnot, montot, cdgpro, dscpro, estnot, nuevosaldo,  tipmov, cdgusu) 
					VALUES ('$codnota',  '$hoy', '$total_nc', '$cdgpro', '$dscpro', '0', '$total', '$tipmov' ,'$cdgusu')";				
	$mysqli->query($query_operacion);
	//$numrec=mysql_insert_id();
	
*/


?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="index.php";
		}
		
		function imprimir(codnota) {
		//	window.open("../fpdf/imprimir_factura.php?codnota="+codnota);
		//window.open("../fpdf/imprimir_nota_compras_TERMICA.php?codnota="+codnota);
		location.href="index.php";
		}
		
		</script>
<?php 
		

	
echo "<script>";
//echo "imprimir($codnota);";
echo "</script>";	

 

?>

<html>
	<head>
		<title>Nota de Credito</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
	    function cancelar() {
			location.href="index.php";
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


		</script>








</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
             Nota guardada exitosamente 
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>


